Subject: bug#26384: closed (Re: bug#26384: linux-libre fails to build with bc 1.07)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 15 Apr 2017 17:04:02 +0000

Your bug report

#26384: linux-libre fails to build with bc 1.07

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
26384: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=26384
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#26384: linux-libre fails to build with bc 1.07
From: Marius Bakke <[email-masked]>
To: Leo Famulari <[email-masked]>, [email-masked]
Date: Sat, 15 Apr 2017 19:03:24 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

This should be fixed in f71f29cab2b484ea8e63d29a5766f680d0e800c1.

Subject: linux-libre fails to build with bc 1.07
From: Leo Famulari <[email-masked]>
To: [email-masked]
Date: Thu, 6 Apr 2017 11:15:58 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

----- Forwarded message from Marius Bakke <[email-masked]> -----

Date: Wed, 05 Apr 2017 23:38:52 +0200
From: Marius Bakke <[email-masked]>
To: myglc2 <[email-masked]>
Cc: Leo Famulari <[email-masked]>, Tobias Geerinckx-Rice <[email-masked]>, [email-masked]
Subject: Re: bug#26370: v0.12.0-2730-gfc5b12879 'guix system build' hangs on	linux-libre-4.10.8
User-Agent: Notmuch/0.24.1 (https://notmuchmail.org) Emacs/25.1.1 (x86_64-unknown-linux-gnu)

myglc2 <[email-masked]> writes:

> On 04/05/2017 at 19:31 Marius Bakke writes:
>
>> Leo Famulari <[email-masked]> writes:
>>
>>> On Wed, Apr 05, 2017 at 10:55:45AM -0400, myglc2 wrote:
>>>>   HOSTCC  scripts/mod/modpost.o
>>>>   HOSTCC  scripts/mod/file2alias.o
>>>>   HOSTCC  scripts/extract-cert
>>>>   HOSTLD  scripts/genksyms/genksyms
>>>>   CC      arch/x86/purgatory/purgatory.o
>>>>   AS      arch/x86/purgatory/stack.o
>>>>   AS      arch/x86/purgatory/setup-x86_64.o
>>>>   CC      arch/x86/purgatory/sha256.o
>>>>   AS      arch/x86/purgatory/entry64.o
>>>>   CC      arch/x86/purgatory/string.o
>>>>   HOSTLD  scripts/mod/modpost
>>>>   LD      arch/x86/purgatory/purgatory.ro
>>>>   BIN2C   arch/x86/purgatory/kexec-purgatory.c
>>>>   CHK     include/generated/timeconst.h
>>>>   CC      kernel/bounds.s
>>>>   CHK     include/generated/bounds.h
>>>>   UPD     include/generated/bounds.h
>>>
>>> The latest versions of linux-libre (4.10.8, 4.9.20, 4.4.59) are all
>>> hanging around this point. However, they did build in the past:
>>>
>>> https://hydra.gnu.org/job/gnu/master/linux-libre-4.4.59.x86_64-linux
>>> https://hydra.gnu.org/job/gnu/master/linux-libre-4.9.20.x86_64-linux
>>> https://hydra.gnu.org/job/gnu/master/linux-libre-4.10.8.x86_64-linux
>>>
>>> And 4.10.7 hangs in the same way, so I think the issue is in an
>>> unrelated change.
>>
>> Reverting dfee7daedb760f1b1d7506829ca31633f4173356 "gnu: bc: Update to
>> 1.07" makes the build proceed.
>
> Thanks Marius, that worked here too. Should I close the bug? - George

Tobias already reverted this in 'master', so I'm closing this now.
Thanks for the report!

----- End forwarded message -----